import React from "react";
import { IconWrapper, StyledCell, StyledCheckbox, StyledCheckboxWrapper, Wrapper as ItemWrapper } from "../Inner/ui/Item/Item.styles";
import { Divider, Wrapper, DividerWrapper } from "./SelectAll.styles";
export var SelectAll = function SelectAll(param) {
    var variant = param.variant, selectAllOptions = param.selectAllOptions;
    return /*#__PURE__*/ React.createElement(Wrapper, {
        variant: variant,
        onClick: selectAllOptions === null || selectAllOptions === void 0 ? void 0 : selectAllOptions.onClick,
        sticky: selectAllOptions === null || selectAllOptions === void 0 ? void 0 : selectAllOptions.sticky
    }, /*#__PURE__*/ React.createElement(ItemWrapper, {
        variant: variant
    }, /*#__PURE__*/ React.createElement(IconWrapper, {
        variant: variant
    }, /*#__PURE__*/ React.createElement(StyledCheckboxWrapper, {
        onClick: function onClick(e) {
            return e.preventDefault();
        }
    }, /*#__PURE__*/ React.createElement(StyledCheckbox, {
        checked: selectAllOptions === null || selectAllOptions === void 0 ? void 0 : selectAllOptions.checked,
        indeterminate: selectAllOptions === null || selectAllOptions === void 0 ? void 0 : selectAllOptions.indeterminate,
        appearance: "default"
    }))), /*#__PURE__*/ React.createElement(StyledCell, {
        title: (selectAllOptions === null || selectAllOptions === void 0 ? void 0 : selectAllOptions.label) || 'Выбрать всё'
    })), /*#__PURE__*/ React.createElement(DividerWrapper, null, /*#__PURE__*/ React.createElement(Divider, {
        variant: variant
    })));
};
